<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/

if (!defined('CPO')) exit;
$translator->addTranslation('form', CPO_BASEDIR.$moduleDirectory.'/lang');

if (!function_exists('tocFormHelp')) {
	function tocFormHelp($topic,$module)  {
		return 'http://manual.conpresso4.de/'.$module.'/'.$topic.".htm";
	}
}

$directory = basename(dirname($_SERVER['PHP_SELF'])); 

$GLOBALS['modules'][$moduleDirectory] = array(
    'directory'	=>$moduleDirectory,
    'caption'	=>__('Form') . ' ('.$moduleDirectory.')',
    'install'	=>'function: Form_install',
    'activate'	=>'function: Form_activate '.$moduleDirectory,
    'deactivate'=>'function: Form_deactivate',
    'uninstall'	=>'function: Form_uninstall '.$moduleDirectory,
	'manage'	=>'function: Form_manage '.$moduleDirectory,
	'owner'		=>$cpoSystem['owner'],
	'lkey'		=>'',
	'mod_id'	=> 18,
	//Help ***********************************+
	'helptoc' => array(
        'bersicht' 
			=> tocFormHelp('index','form'),
        '1. Eigenschaften' 
			=> tocFormHelp('features','form'),
        '2. Installation' 
			=> tocFormHelp('setup','form'),
        '3. Einstellungen' 
			=> tocFormHelp('settings','form'),
        '3.1 Templates' 
			=> tocFormHelp('templates','form'),
        '3.2 Platzhalter und Parameter' 
			=> tocFormHelp('placeholders','form')
	),
	//Texte ***********************************+
	'release'		=>'yes',
	'mail'			=>'yes',
	'mail_prefix'	=>'copy: ',
	'divider'		=>' / ',
	'recipient'		=>$cpoSystem['admin_email'],
	'subject'		=>'Online-Eintrag von %s', // FIXME Translation
	'encoding'		=>"0",
	'defaultError'	=>'Bitte vervollstndigen Sie die untenstehenden Angaben.', // FIXME Translation
	'defaultInputError'=>'Eingabe erforderlich!', // FIXME Translation
	'error_template'=>'<div style="border:1px solid red;">### ERROR_MESSAGE ###<br />### FORM_FIELD ###</div>',
	'message_box'	=>'',
	'successMessage'=>'Ihre Eingaben wurden erfolgreich gespeichert!', // FIXME Translation
	'rubric'		=>-1,
	'template'		=>'',
	'method'		=>'POST',
	'showArticles'	=>'before',
	'hideArticles'	=>'yes',
	'pagetemplate_index'=>0,
	'submit'		=>'Eintrag absenden', // FIXME Translation
	'reset'			=>'Abbrechen', // FIXME Translation
	'submit_template'=>'', 
	// Upload
	'upload'		=>'no',
	'fileError'		=>'Uploads bitte neu auswhlen!', // FIXME Translation
	'warnImage'		=>'Die hochgeladene Datei <em>%s</em> ist kein Bild!', // FIXME Translation
	'warnFile'		=>'Die hochgeladene Datei <em>%s</em> ist keine Datei! Vermutlich ein Bild?', // FIXME Translation
	'rename'		=>'no',
	'extensions'	=>'jpeg jpg gif png txt doc pdf xls',
	'nonallowedExt'	=>'The uploaded file <em>%s</em> is no allowed filetype. Allowed filetypes: <em>%s</em>',
	'uploaduser'	=>1,
	// Confirmation
	'confirm'		=>'no',
	'confirmation_text'		=>'Der folgende Eintrag wurde freigegeben:<br /><br/>%s', // FIXME Translation
	'show_confirmed'=>'yes',
	'confirmation_failed'	=>'Besttigung fehlgeschlagen!', // FIXME Translation
	'deleted'		=>'Der Eintrag wurde gelscht!', // FIXME Translation
	'blocked'		=>'Der Eintrag wurde gesperrt!', // FIXME Translation
	'expired'		=>'Der Eintrag wurde archiviert!', // FIXME Translation
	'auto_expire'	=>'no',
	'expire_time'	=>'365',
	// Captcha
	'captcha'		=>'no',
	'captcha_error'	=>'Fehlerhafter Sicherheitscode! Achten Sie auf Gross- und Kleinschreibung!', // FIXME Translation
	'captcha_template'=>'
<!-- // Captcha-Sicherheitscode -->
<p><b>Sicherheitscode:</b> Bitte tragen Sie vor dem Absenden den nachstehenden Sicherheitscode in das nebenstehende Feld ein<br />
<img src="captcha/captcha.php" border="0" title="Sicherheitscode" name="Sicherheitscode" onClick="reloadCaptcha(this);">
Sicherheitscode hier eintragen: <input type="text" name="sicherheitscode" size="5"><br />
Diese Ma&szlig;nahme dient der Spam-Vermeidung. Wir bitten um Ihr Verst&auml;ndnis.
</p>
', // FIXME Translation
	'pic'			=>'checker.png',
	'font'			=>'XFILES.TTF',
	'text_color'	=>'#FFFFFF',
	'shadow_color'	=>'#000000',
	'style'			=>'outline'
);

if (!function_exists('Form_manage'))  {
	function Form_manage($moduleDirectory)
	{
		global $module_status, $k;
		printIcon(	
			BASE_ABS.$moduleDirectory.'/edit.php', 
			BASE_ABS.'_skin/conpresso/pic_settings.gif', 
			(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE) ? __('options') : __('not available'),
			array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE
		);
	}
}

if (!function_exists('log_form'))  {
	function log_form()  {
		global $cpoSystem;
		@mail('conpresso@gmx.de','Das Modul Formular wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
	}
}

if (!function_exists('Form_install'))  {
	function Form_install()
	{
		$imagesizedb = new DB;
		$imagesizedb->query("INSERT INTO ".CPO_OPTION." (type, options, id) VALUES ('form', '".serialize(array("installed"=>time()))."', '') ");
		log_form();
		$GLOBALS['message'][] = ___('The form-module was successfully installed!');
	}
}
if (!function_exists('Form_activate'))  {
	function Form_activate($moduleDirectory)
	{
		$GLOBALS['message'][] = ___('The form-module got activated.');
		$GLOBALS['message'][] = sprintf(__('If you want some example templates to be installed please run the <a href="%s">template-setup</a>.'),
		BASE_ABS.$moduleDirectory.'/setup.php');
	}
}
if (!function_exists('Form_deactivate'))  {
	function Form_deactivate()
	{
		$GLOBALS['message'][] = ___('The form-module got deactivated.');
	}
}
if (!function_exists('Form_uninstall'))  {
	function Form_uninstall($directory_uninstall)
	{
		$GLOBALS['message'][] = sprintf(___('Please remove the module directory %s to finally uninstall the form-module.'), '<em>'.htmlspecialchars($directory_uninstall, ENT_COMPAT, 'ISO-8859-15').'</em>');
	}
}

if (!$activeModules[$moduleDirectory]['installed'])  {
	$formdb = new DB;
	$formdb->query('SELECT options FROM '.CPO_OPTION.' '
			  ."WHERE type='form' ORDER BY id ASC LIMIT 0,1");
	while ($formdb->next_record()) {
		$options = $formdb->v('options');
		$formOpt = unserialize($options);
		if (!is_array($formOpt)) break;
		foreach ($formOpt as $key=>$v) {
			$activeModules[$moduleDirectory][$key] = $v;
		}
	}
}

if (	license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 1 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 2 &&
		license($activeModules[$moduleDirectory]['lkey'],$activeModules[$moduleDirectory]['mod_id']) != 3 &&
		$activeModules[$moduleDirectory]['installed']<(time()-90*24*60*60) && 
		!isset($_POST['go']) &&
		@file_exists(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/includes/producer.inc.php')
	) 
	{
	include(CPO_BASEDIR.$activeModules[$moduleDirectory]['directory'].'/includes/producer.inc.php');
	$message['license'] = '<strong>'.sprintf(___('Your 90 days %s evaluation period has expired!'),
		htmlspecialchars($MOD['product'], ENT_COMPAT, 'ISO-8859-15')).'</strong> ';
	$mfbreak = true;
}

?>
