<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "Form"					                             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1d / January 2013 ==

*/


define('CPO', true);
require_once('../_include/common.inc.php');
$directory = basename(dirname($_SERVER['PHP_SELF']));

require(CPO_BASEDIR.'_include/var_category.php');
require(CPO_BASEDIR.'_include/secure.php');

// langauage **************************************************************************************
if (!array_key_exists($directory, $activeModules)) {
	$translator->addTranslation('form',CPO_BASEDIR.$directory.'/lang');
}

// the includes ***********************************************************************************
include(CPO_BASEDIR.$directory.'/includes/producer.inc.php');
include(CPO_BASEDIR.$directory.'/loadheaders.php');


if ( isset($_REQUEST['nr']) && isset($_REQUEST['hash']) && $activeModules[$directory]['confirm'] == 'yes') {
	$query = 'SELECT rubric_id, commentary, verfallsdatum, templates_id, nr, idx, email, autor, pub_datum, titel, initial, freigabe, changer, last_modify '
			.'FROM '.CPO_NEWS.' '
			.'WHERE nr='.(int)$_REQUEST['nr'].' ';

	$db_get = new DB;
	$db_get->query($query);

	// no article with that number found.
	if ($db_get->num_rows()<=0) {
		echo $cpoRubricSettings['noArticlesFound'];
		include(CPO_BASEDIR.$directory.'/loadfooters.php');
		exit;
	}
	
	$db_get->next_record();

	if ( $_REQUEST['hash'] == md5($db_get->v('titel').$db_get->v('pub_datum').'confirm' ) )  {
		$query = sprintf(
				 "UPDATE ".CPO_NEWS." SET artikel_archiv = 0, freigabe = 0 WHERE nr = '%s'", 
				 $db_get->v('nr')
				 );
		DEBUG(1, $query, __FILE__, __LINE__);
		$db_confirm = new DB;
		$db_confirm->query($query);

		if ($activeModules[$directory]['show_confirmed'] == 'yes')  {
			$pagetype = 'detail';
			ob_start(); 
			$GLOBALS['lastUpdated'] = 0;
			$db_template      = $db_get->v('templates_id');
			$db_nr            = $db_get->v('nr');
			$db_idx           = $db_get->v('idx');
			$db_email         = $db_get->v('email');
			$db_autor         = $db_get->v('autor');
			$db_changer       = $db_get->v('changer');
			$db_pub_datum     = $db_get->v('pub_datum');
			$db_verfallsdatum = $db_get->v('verfallsdatum');
			$db_commentary    = $db_get->v('commentary');
			$db_titel         = $db_get->v('titel');
			$db_initial       = $db_get->v('initial');
			$db_freigabe      = $db_get->v('freigabe');
			$db_rubric_id     = $db_get->v('rubric_id');
			$db_last_modify   = $db_get->v('last_modify');
			if ($GLOBALS['lastUpdated']<strtotime($db_last_modify)) {
				$GLOBALS['lastUpdated'] = strtotime($db_last_modify);
			}
			require(CPO_BASEDIR.'_include/select_template.php');
			$confirmed = ob_get_contents();                  
			ob_end_clean(); 
			$pagetype = 'index';
		}
		
		$message[] = sprintf($activeModules[$directory]['confirmation_text'], $confirmed);
	} else if ( $_REQUEST['hash'] == md5($db_get->v('titel').$db_get->v('pub_datum').'delete' ) )  {
		$db_confirm = new DB;
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_CONTENT_TEXT." WHERE article_id = '%s'", $db_get->v('nr') ) );
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_CONTENT_HTML." WHERE article_id = '%s'", $db_get->v('nr') ) );
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_CONTENT_IMAGES." WHERE article_id = '%s'", $db_get->v('nr') ) );
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_CONTENT_FILES." WHERE article_id = '%s'", $db_get->v('nr') ) );
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_CONTENT_URLS." WHERE article_id = '%s'", $db_get->v('nr') ) );
		$db_confirm->query( sprintf( "DELETE FROM ".CPO_NEWS." WHERE nr = '%s'", $db_get->v('nr') ) );
		$message[] = $activeModules[$directory]['deleted'];
	} else if ( $_REQUEST['hash'] == md5($db_get->v('titel').$db_get->v('pub_datum').'block' ) )  {
		$query = sprintf(
				 "UPDATE ".CPO_NEWS." SET artikel_archiv = 0, freigabe = 2 WHERE nr = '%s'", 
				 $db_get->v('nr')
				 );
		DEBUG(1, $query, __FILE__, __LINE__);
		$db_confirm = new DB;
		$db_confirm->query($query);
		$message[] = $activeModules[$directory]['blocked'];
	} else if ( $_REQUEST['hash'] == md5($db_get->v('titel').$db_get->v('pub_datum').'expire' ) )  {
		$query = sprintf(
				 "UPDATE ".CPO_NEWS." SET verfallsdatum = '".date('Y-m-d H:i:s', time())."' WHERE nr = '%s'", 
				 $db_get->v('nr')
				 );
		DEBUG(1, $query, __FILE__, __LINE__);
		$db_confirm = new DB;
		$db_confirm->query($query);
		$message[] = $activeModules[$directory]['expired'];
	} else {
		$message[] = $activeModules[$directory]['confirmation_failed'];
	}

	if (empty($activeModules[$directory]['message_box'])) {
		include(CPO_BASEDIR.'_include/message.php');
	} else {
		include(CPO_BASEDIR.$directory.'/includes/message.php');
	}
}

include(CPO_BASEDIR.$directory.'/loadfooters.php');
?>
